aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-systemsetup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-systemsetup.sh')
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-systemsetup.sh14
1 files changed, 10 insertions, 4 deletions
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-systemsetup.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-systemsetup.sh
index b44c3014..60e637b7 100755
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-systemsetup.sh
+++ b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-systemsetup.sh
@@ -35,12 +35,12 @@
# This script modifies system settings for automated use
-# shellcheck source=../common/try_catch.sh
-
set -ex
-source "${BASH_SOURCE%/*}/../common/try_catch.sh"
-source "${BASH_SOURCE%/*}/../common/check_and_set_proxy.sh"
+source "${BASH_SOURCE%/*}/../common/unix/try_catch.sh"
+source "${BASH_SOURCE%/*}/../common/unix/check_and_set_proxy.sh"
+# shellcheck source=../common/unix/try_catch.sh
+source "${BASH_SOURCE%/*}/../common/unix/try_catch.sh"
NTS_IP=10.212.2.216
@@ -52,6 +52,8 @@ ExceptionProxy=104
try
(
+ echo "Set timezone to UTC" || throw $ExceptionTimezone
+ sudo timedatectl set-timezone Etc/UTC
echo "Timeout for blanking the screen (0 = never)"
gsettings set org.gnome.desktop.session idle-delay 0 || throw $ExceptionGsettings1
echo "Prevents screen lock when screesaver goes active."
@@ -68,6 +70,10 @@ try
)
catch || {
case $ex_code in
+ $ExceptionTimezone)
+ echo "Failed to set timezone to UTC"
+ exit 1;
+ ;;
$ExceptionGsettings1)
echo "Failed to disable black screen."
exit 1;